Subject: Re: Why my NIC shows NUMA -1?

From: Alexander Duyck <[email-masked]>
Date: Wed, 11 Nov 2015 15:25:41 -0800

On 11/11/2015 02:41 PM, Vincent Li wrote:
> Hi
>
> Sorry I am not sure if this is the right list to ask this question,
> please direct me to the correct one. thanks!
>
> I am using Intel 82599 on Dell PowerEdge R710 which should support
> NUMA node, the box is running ubuntu 14.01.1 LTS , I am wondering why I
> get NUMA socket -1.

The PowerEdge R710 is an older Nehalem based Intel system isn't it? 
Those didn't have the PCIe controller built into the socket.  As such 
what you may have is both sockets hanging off of one I/O Hub and if that 
is the case the PCIe device is the same distance from either socket.  In 
that case it would be correct for it to report -1 since either socket is 
the same distance.

- Alex